Ask Your Question
0

triple-o undercloud installation error on CentOS7.3

asked 2017-03-23 08:27:03 -0600

pjb gravatar image

Hi, I am trying to install triple-o undercloud on a physical machine. The installation fails every time. I have reinstalled the OS and tried starting from scratch but got the same error.

System Details :

  • DELL t620 with IPMI support.
  • Different network for Internet Connectivity and PXE respectively.
  • OS version : CentOS 7.3.1611, kernel : 3.10.0-514.10.2.el7.x86_64
  • 192.168.10.0/24 is for PXE boot network

My undercloud.conf looks like this:

http://paste.openstack.org/show/603918/

Error details:

    dib-run-parts Thu Mar 23 18:35:53 IST 2017 Running /usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
    + set -o pipefail
    + puppet_apply puppet apply --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp
    + set +e
    + puppet apply --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp
    + awk '{print strftime("%Y-%m-%d %H:%M:%S") " - "$0; fflush()}'
    2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected ')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3 
on node undercloud.in.caveonetworks.com
    2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected ')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3 on node undercloud.in.caveonetworks.com
    + rc=1
    + set -e
    + echo 'puppet apply exited with exit code 1'
    puppet apply exited with exit code 1
    + '[' 1 '!=' 2 -a 1 '!=' 0 ']'
    + exit 1
    [2017-03-23 18:35:57,659] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]

    [2017-03-23 18:35:57,660] (os-refresh-config) [ERROR] Aborting...
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1214, in install
        _run_orc(instack_env)
      File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1003, in _run_orc
        _run_live_command(args, instack_env, 'os-refresh-config')
      File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 519, in _run_live_command
        raise RuntimeError('%s failed. See log for details.' % name)
    RuntimeError: os-refresh-config failed. See log for details.

Please help. Let me know if you know any other details.

edit retag flag offensive close merge delete

Comments

Which delorean repositories did you configure?

nuriel77 gravatar imagenuriel77 ( 2017-03-23 12:04:51 -0600 )edit

These are the steps that I followed:

sudo curl -L -o /etc/yum.repos.d/delorean-newton.repo https://trunk.rdoproject.org/centos7-...

sudo curl -L -o /etc/yum.repos.d/delorean-deps-newton.repo http://trunk.rdoproject.org/centos7-n...

pjb gravatar imagepjb ( 2017-03-24 00:20:43 -0600 )edit

2 answers

Sort by ยป oldest newest most voted
1

answered 2017-03-24 04:58:38 -0600

pjb gravatar image

facing this issue when using Git checkouts of the puppet modules instead of packages.

Using packages instead of git checkouts solved the problem.

edit flag offensive delete link more

Comments

This is the how you switch, by the way...

[stack@instack ~]$ export DIB_INSTALLTYPE_puppet_modules=packages

[stack@instack ~]$ openstack undercloud install

Mark Hamzy gravatar imageMark Hamzy ( 2017-03-30 09:46:36 -0600 )edit
0

answered 2018-04-13 14:49:44 -0600

The above export step doesnt work . it throws new error 2018-04-13 15:39:49,127 INFO: + set -o pipefail 2018-04-13 15:39:49,128 INFO: + puppet_apply puppet apply --summarize --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp 2018-04-13 15:39:49,129 INFO: + set +e 2018-04-13 15:39:49,129 INFO: + puppet apply --summarize --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp 2018-04-13 15:39:58,181 INFO: Error: Evaluation Error: Error while evaluating a Function Call, Could not find class ::stdlib for http://undercloud.example.com at /etc/puppet/manifests/puppet-stack-config.pp:17:1 on node http://undercloud.example.com 2018-04-13 15:39:58,207 INFO: + rc=1 2018-04-13 15:39:58,208 INFO: + set -e 2018-04-13 15:39:58,208 INFO: + echo 'puppet apply exited with exit code 1' 2018-04-13 15:39:58,208 INFO: puppet apply exited with exit code 1 2018-04-13 15:39:58,208 INFO: + '[' 1 '!=' 2 -a 1 '!=' 0 ']' 2018-04-13 15:39:58,209 INFO: + exit 1 2018-04-13 15:39:58,217 INFO: [2018-04-13 15:39:58,209] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1] 2018-04-13 15:39:58,217 INFO: 2018-04-13 15:39:58,217 INFO: [2018-04-13 15:39:58,210] (os-refresh-config) [ERROR] Aborting... 2018-04-13 15:39:58,217 DEBUG: An exception occurred Traceback (most recent call last): File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2285, in install _run_orc(instack_env) File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1592, in _run_orc _run_live_command(args, instack_env, 'os-refresh-config') File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 671, in _run_live_command raise RuntimeError('%s failed. See log for details.' % name) RuntimeError: os-refresh-config failed. See log for details. 2018-04-13 15:39:58,227 ERROR:

#

Undercloud install failed.

Reason: os-refresh-config failed. See log for details.

See the previous output for details about what went wrong. The full install log can be found at /home/stack/.instack/install-undercloud.log.

#

Traceback (most recent call last): File "<string>", line 1, in <module> File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2285, in install _run_orc(instack_env) File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1592, in _run_orc _run_live_command(args, instack_env, 'os-refresh-config') File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 671, in _run_live_command raise RuntimeError('%s failed. See log for details.' % name) RuntimeError: os-refresh-config failed. See log for details. Command '['instack-install-undercloud']' returned non-zero exit status 1 [stack@undercloud ~]$

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2017-03-23 08:27:03 -0600

Seen: 996 times

Last updated: Mar 24 '17